## EShellHeaderBar EShellHeaderBar |

## Functions

GtkWidget * | e_shell_header_bar_new ()
GtkWidget * | e_shell_header_bar_get_new_button ()
void | e_shell_header_bar_pack_start ()
void | e_shell_header_bar_pack_end ()
void | e_shell_header_bar_clear ()

## Properties

GtkWidget * | menu-button | Write / Construct Only
EShellWindow * | shell-window | Read / Write / Construct Only

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkHeaderBar
                        ╰── EShellHeaderBar

## Description

## Functions

### e_shell_header_bar_new ()

    GtkWidget *
    e_shell_header_bar_new (EShellWindow *shell_window,
                            GtkWidget *menu_button);

Creates a new EShellHeaderBar

#### Parameters

shel_window | The EShellWindow to which the headerbar belongs |
menu_button | a menu button to add to the header bar |

#### Returns

a new EShellHeaderBar.

[transfer full]

Since: 3.46

### e_shell_header_bar_get_new_button ()

    GtkWidget *
    e_shell_header_bar_get_new_button (EShellHeaderBar *headerbar);

#### Parameters

headerbar | a EShellHeaderBar |

#### Returns

the 'New' button widget, which is EHeaderBarButton.

[transfer none]

Since: 3.46

### e_shell_header_bar_pack_start ()

    void
    e_shell_header_bar_pack_start (EShellHeaderBar *headerbar,
                                   GtkWidget *widget);

Adds child to bar, packed with reference to the start of the bar.

#### Parameters

headerbar | an EShellHeaderBar |
widget | widget to pack |

Since: 3.46

### e_shell_header_bar_pack_end ()

    void
    e_shell_header_bar_pack_end (EShellHeaderBar *headerbar,
                                 GtkWidget *widget);

Adds child to bar, packed with reference to the end of the bar.

#### Parameters

headerbar | an EShellHeaderBar |
widget | widget to pack |

Since: 3.46

### e_shell_header_bar_clear ()

    void
    e_shell_header_bar_clear (EShellHeaderBar *headerbar,
                              const gchar *name);

Removes all widgets from the header bar where widget name starts with `name`

#### Parameters

headerbar | an EShellHeaderBar |
name | widget name starts with |

Since: 3.46

## Property Details

### The `“menu-button”` property

      “menu-button”              GtkWidget *

Menu button to add to the header bar.

Owner: EShellHeaderBar

Flags: Write / Construct Only

### The `“shell-window”` property

      “shell-window”             EShellWindow *

The window to which the headerbar belongs.

Owner: EShellHeaderBar

Flags: Read / Write / Construct Only